/******************************base.h文件说明**********************************
* Descript	:头文件，包含项目需要调用的Xnet函数的头文件引用，以及宏定义
* Author    :caitiancheng
* Date      :2021_12_19
*******************************************************************************/
#ifndef BASE_H
#define BASE_H


/***********************************头文件****************************************/
#include <x_net.h>
#include <QString>


/***********************************类的声明和继承****************************************/
class Base
{
public:
    //判断连接状态的函数
    bool ConStatus();
    //从从站状态函数
    int SalveStatus();


    //M寄存器写值函数
    void WriteMBool(int start,bool ok);
    //D寄存器写short型值函数
    void WriteDShort(int start,short value);
    //SD寄存器写short型值函数
    void WriteSDShort(int start,int value);
    //D寄存器写int型值函数
    void WriteDInt(int start,int value);
    //SFD寄存器写int型值函数
    void WriteSFDInt(int start,int value);


    //读SM寄存器的值
    bool ReadSMBool(int Addr);
    //读SFD寄存器的值
    int ReadSFDInt(int Addr);
    //读SD寄存器的值
    short ReadSDShort(int Addr);
};

#endif // BASE_H
